<?php

namespace Feedback\Feedback\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FeedbackTransformer extends TransformerAbstract
{
    public function transform(\Feedback\Feedback\Models\Feedback $feedback)
    {
        return [
            'id'                => $feedback->getRouteKey(),
            'key'               => [
                'public'    => $feedback->getPublicKey(),
                'route'     => $feedback->getRouteKey(),
            ], 
            'message'           => $feedback->message,
            'user_id'           => $feedback->user_id,
            'url'               => [
                'public'    => trans_url('feedback/'.$feedback->getPublicKey()),
                'user'      => guard_url('feedback/feedback/'.$feedback->getRouteKey()),
            ], 
            'status'            => trans('app.'.$feedback->status),
            'created_at'        => format_date($feedback->created_at),
            'updated_at'        => format_date($feedback->updated_at),
        ];
    }
}